Subject: bug#1806: dired-pop-to-buffer in wrong place

From: martin rudalics <[email-masked]>
Date: Sun, 23 Sep 2012 11:22:03 +0200

> Thanks for enhancements.  There is one unfortunate regression
 > where a large almost empty window is displayed with just two lines
 > instead of a narrow window like in previous versions.  One test case
 > is typing !, or C, or R in Dired on two marked files when dired-shrink-to-fit
 > is t.  dired-pop-to-buffer should take care of this, but it doesn't work.

`dired-pop-to-buffer' is no longer called and `dired-shrink-to-fit' is
no longer consulted.  You have to enable `temp-buffer-resize-mode'.  If
you really insist on handling dired's pop-up buffers separately, I can
do that by binding `temp-buffer-resize-mode' appropriately, but I'd
rather have a common solution for handling all temporary windows in the
same manner.

martin